Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Thread.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/Thread_Adapter.h"`
`#include "ace/Thread.inl"`

Include dependency graph for Thread.h:

This graph shows which files directly or indirectly include this file:

## Classes
struct | cancel_state
class | ACE_Thread
| Provides a wrapper for threads. More...

## Detailed Description

Id
  Thread.h,v 4.44 2005/10/28 23:55:10 ossama Exp

Author:
  Douglas Schmidt <schmidt@cs.wustl.edu>